<?php
/**
 * @version  $Id$
 * @author  JoomlaUX!
 * @package  Joomla.Site
 * @subpackage mod_jux_carousel
 * @copyright Copyright (C) 2012 by JoomlaUX. All rights reserved.
 * @license  http://www.gnu.org/licenses/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class mod_JUX_CarouselHelper
{
	public static function render(&$params)
	{
		// Read our Parameters
		$param = new stdClass();
		$param->interval			  = 	@$params->get( 'interval', "100" );
		$param->pause			      = 	@$params->get( 'pause', "1" );
		if($param->pause =="1"){
		    $param->pause ="hover";
		}
		else{
		    $param->pause ="false";
		}
		$param->control			      = 	@$params->get( 'control', "1" );
		$param->description_and_title = @$params->get('description_and_title',"1");
		return $param;
	}
	/**
     * load javascript files: processing override js, load js compress or not.
     */
    public static function javascript($params) {
		$document = JFactory::getDocument();
		$enable_jquery = $params->get('enable_jquery', 1);
		
		if ($enable_jquery) {
			$document->addScript(JURI::base() . 'modules/mod_jux_carousel/assets/js/jquery-1.7.1.min.js');
		}
		
		$document->addScript(JURI::base() . 'modules/mod_jux_carousel/assets/js/bootstrap-carousel.js');
		$document->addScript(JURI::base() . 'modules/mod_jux_carousel/assets/js/bootstrap-transition.js');
        
    }

    /**
     * load css files: processing override css
     */
    public static function css() {
        $document = JFactory::getDocument();
        $document->addStyleSheet(JURI::base() . 'modules/mod_jux_carousel/assets/css/jux_carousel.css');
    }
}