<?php 
/**
 * @version  $Id$
 * @author  JoomlaUX!
 * @package  Joomla.Site
 * @subpackage mod_jux_carousel
 * @copyright Copyright (C) 2012 by JoomlaUX. All rights reserved.
 * @license  http://www.gnu.org/licenses/gpl.html
 */
 
 
// no direct access
defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
  
   jQuery(function(){
		jQuery('.carousel').carousel({
			interval: <?php echo $param->interval?>,
			pause: "<?php echo $param->pause?>"
		});		
	});
	
	// check for existence of mootools first before fixed
	if (typeof jQuery != 'undefined' && typeof MooTools != 'undefined' ) {
		if (typeof jQuery != 'undefined') {	
			(function(jQuery) {
				jQuery(document).ready(function(){
					jQuery('.carousel').each(function(index, element) {
						jQuery(this)[index].slide = null;
					});
				});
			})(jQuery);		
		}
	}
		
</script>

<div id="myCarousel" class="carousel slide">
	<ol class="carousel-indicators">
		<?php 
			for ($i = 0; $i <= 9; $i++) {
				$image			    = 	$params->get( 'slide_'.($i + 1).'_image' );
				
				if(!$image) {
					continue;
				}
		?>
		<li data-target="#myCarousel" data-slide-to="<?php echo $i;?>" class="<?php if ($i == 1) echo 'active'; ?>"></li>
		<?php } ?>
  </ol>
	<div class="carousel-inner">
	<?php
	for ($i = 0; $i <= 9; $i++) {
		$image			    = 	$params->get( 'slide_'.($i + 1).'_image' );
		if(!$image) {
			continue;
		} else {
		$slide_title		= 	$params->get( 'slide_'.($i + 1).'_title' );
		$slide_desc		    = 	$params->get( 'slide_'.($i + 1).'_desc' );
		$url			    = 	$params->get( 'slide_'.($i + 1).'_url' );
		if (strstr($url, 'http://') === FALSE)
		{
		    $url = 'http://'.$url;
		}
		
		?>
		<div class="<?php if ($i == 1) echo 'active'; ?> item">
			<img src="<?php echo JURI::root() .'/'.$image;?>" alt="<?php echo $slide_title;?>" />
			
			<?php if($params->get('description_and_title') && ($slide_title || $slide_desc)){ ?>			
				<?php
				if ($params->get('position') == "1"){
				?>
				<div class="carousel-caption" style="top:0px; height: 70px;">
				<?php
				}
				else if ($params->get('position') == "0"){
				?>
				<div class="carousel-caption" style="bottom:0px;">
				<?php
				}
				?>
					<?php if($slide_title != ""){?>			
			        <h4><a href="<?php echo $url;?>" target="_blank"><?php echo $slide_title;?></a></h4>
					<?php }?>
					
					<?php if($slide_desc != ""){?>	
				    <p><?php echo $slide_desc;?></p>
					<?php }?>
			    </div>
			<?php }?>
		</div>	
		<?php
        }		
	}
	?>
	</div>
	<a class="carousel-control left" href="#myCarousel" data-slide="prev">&lsaquo;</a>
	<a class="carousel-control right" href="#myCarousel" data-slide="next">&rsaquo;</a>
</div>
